Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags.validators
Class Summary

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          weblogicx.jsp.tags.validators.Summary

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class Summary

extends TagSupport

Summary keeps tract of all validators on the page reconstructing and executing validate() on validators and storing the errorMessages in the process.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`Summary()`

Method Summary
`int` | `doEndTag()`
`boolean` | `doProcessValidation()`
`int` | `doStartTag()`
`int` | `getCount()` accessor for hiddenFieldCount
`String` | `getFormName()`
`String` | `getName()`
`void` | `incrementCount()` increment hidden field count
`Validatable` | `register(Validatable cv)`
`void` | `release()`
`void` | `setAddQueryParams(boolean b)`
`void` | `setHeaderText(String ht)`
`void` | `setName(String name)` name given to the errorVector to be accessed on the page
`void` | `setRedirectPage(String rp)` optional field

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Summary

    public Summary()

Method Detail

### setName

    public void setName(String name)

  name given to the errorVector to be accessed on the page

### setHeaderText

    public void setHeaderText(String ht)

### setRedirectPage

    public void setRedirectPage(String rp)

  optional field

### setAddQueryParams

    public void setAddQueryParams(boolean b)

### doProcessValidation

    public boolean doProcessValidation()

  Returns:
    whether the process needs to be validated or not

### getFormName

    public String getFormName()

  Returns:
    wlForm name if any wl:form tag was used

### getName

    public String getName()

### doStartTag

    public int doStartTag()
                   throws JspTagException

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Throws:
    `JspTagException`

### doEndTag

    public int doEndTag()
                 throws JspTagException

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `TagSupport`
  Throws:
    `JspTagException`

### release

    public void release()

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### incrementCount

    public void incrementCount()

  increment hidden field count

### getCount

    public int getCount()

  accessor for hiddenFieldCount

### register

    public Validatable register(Validatable cv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD